/*
 Theme Name:     PA Divi Child
 Theme URI:      https://www.elegantthemes.com/gallery/divi/
 Description:    Simple Divi Child Theme
 Author:         Projekt:Agentur
 Author URI:     https://www.projektagentur.de/
 Template:       Divi
 Version:        0.1.1
*/

/* =Theme customization starts here
------------------------------------------------------- */

html {
    scroll-behavior: smooth;
	scroll-padding-top: 210px;
	
}

.text-2cols {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
}

/*
 menü fixes
*/
.menu-item > a[href="#"] {
    pointer-events: none;
    cursor: default;
}
.nav li li {
  padding: 0;
}
.nav li ul {
  padding: 10px 0;
  border-top: none;
  width: 200px;
  box-shadow: 0 20px 5px rgba(0,0,0,.1);
  -moz-box-shadow: 0 20px 5px rgba(0,0,0,.1);
  -webkit-box-shadow: 0 20px 6px rgba(0,0,0,.1);
}
.et_pb_menu .et-menu-nav > ul ul {
  padding: 10px 0;
}
.et_pb_menu .et_pb_menu__menu > nav > ul > li > ul {
  top: calc(100% - 1px);
  left: -8px;
}
/*
 end of menü fixes
*/

/*
 geschichten-blog styling
*/
.et_pb_blog_grid .et_pb_image_container {
	margin: 0;
	position: relative;
	overflow: hidden;
}

.et_pb_blog_grid .et_pb_image_container a.entry-featured-image-url {
	display: block;
	position: relative;
	width: 100%;
	padding-top: 100%;
}

.et_pb_blog_grid .et_pb_image_container img {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	object-fit: cover;
	display: block;
}

.et_pb_blog_grid .entry-featured-image-url::before {
	content: '';
	position: absolute;
	inset: 0;
	z-index: 1;
	pointer-events: none;
}

.geschichten-blog-text {
	position: absolute;
	top: 60%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 100%;
	padding: 30px;
	z-index: 2;
}

.geschichten-blog-text .entry-title {
	text-align: center;
}

.et_pb_blog_grid article {
	position: relative;
}

.et_pb_blog_grid .et_pb_post{
	padding:0;
	margin-right: 12px;
	margin-bottom: 12px !important;
}

.et_pb_post .entry-featured-image-url {
  margin-bottom: 0;
}
/*
 end of geschichten-blog styling
*/

/*
 scroll-blurb menu
*/
.scroll-blurb{
  position: sticky;
  top: 120px;
}

.scroll-blurb .et_pb_blurb_content{
  display:flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.scroll-blurb .et_pb_main_blurb_image{
  transition: all 0.7s ease;
  transform: scale(1);
  opacity: 1;
  max-height: 100px;
  overflow: hidden;
}

.scroll-blurb.shrink .et_pb_main_blurb_image{
  transform: scale(0.6);
  opacity: 0.2;
}

.scroll-blurb.hide .et_pb_main_blurb_image{
  transform: scale(0);
  opacity: 0;
  max-height: 0;
}

.et_pb_blurb.scroll-blurb{
  background-color:#FF00EE;
  padding-top:30px !important;
  padding-bottom:30px !important;
  flex:1 1 80px;
  white-space:nowrap;
  transition: padding 0.5s ease;
}

.et_pb_blurb.scroll-blurb.shrink{
  padding-top:6px !important;
  padding-bottom:6px !important;
}
/*
 end of scroll-blurb menu
*/


/**------------------------------------------------------------------------
 *                           Divi Breakpoints
 *------------------------------------------------------------------------**/

/*** Responsive Styles Large Desktop And Above ***/
@media all and (min-width: 1405px) {
  
}
 
/*** Responsive Styles Standard Desktop Only ***/
@media all and (min-width: 1100px) and (max-width: 1405px) {
 
}
 
/*** Responsive Styles Tablet And Below ***/
@media all and (max-width: 980px) {
 
}
 
/*** Responsive Styles Tablet Only ***/
@media all and (min-width: 768px) and (max-width: 980px) {
 
}
 
/*** Responsive Styles Smartphone Only ***/
@media all and (max-width: 767px) {
 
}
 
/*** Responsive Styles Smartphone Portrait ***/
@media all and (max-width: 479px) {
    
}
